<template>
  <lazy-bh-login-reset-ui @submit="resetPassword" />
</template>

<script>
export default {
  methods: {
    async resetPassword(credentials) {
      try {
        const { code } = this.$route.query;
        const payload = { code, ...credentials };

        await this.$authService.resetPassword(payload);
        this.$router.push({ path: '/' });
      } catch (error) {
        const mid = error.response.status === 500 ? 500 : 'login.reset.error';
        this.$toast.show(this.$appMessages[mid]);
      }
    },
  },
};
</script>
